I have problem with IDM integration in FireFox 34,35,36,37 and 38. What should I do?

Download and install the latest version. It supports FireFox 30,31,32,33 and 34. If it does not help, please read this instruction.